Skip to main content
GET
/
api
/
v1
/
rag
/
get-knowledge-base
/
{kb_id}
Get Knowledge Base
curl --request GET \
  --url https://api.ravan.ai/api/v1/rag/get-knowledge-base/{kb_id} \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "knowledge_base_id": "<string>",
    "knowledge_base_name": "<string>",
    "status": "<string>",
    "enable_auto_refresh": true,
    "knowledge_base_sources": [
      {
        "source_id": "<string>",
        "source_type": "<string>",
        "source_name": "<string>",
        "source_url": "<string>",
        "source_status": "<string>",
        "created_timestamp": 123
      }
    ],
    "created_timestamp": 123,
    "last_updated_timestamp": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

kb_id
string
required
Knowledge Base ID

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.

Authorizations

X-Api-Key
string
header
required

Path Parameters

kb_id
string
required

Knowledge Base ID

Response

200 - application/json

Successful response

success
boolean
message
string
data
object